--------------------------------------------------------------
English Dolibarr ChangeLog
--------------------------------------------------------------


***** ChangeLog for 3.5.6 compared to 3.5.5 *****
Fix: Avoid missing class error for fetch_thirdparty method #1973
Fix: Can't update phone_pro from web service
Fix: Some security holes.
Fix: copy extrafields when creating order from proposal.
Fix: report on action was not filtering by environment.
Fix: Avoid missing class error.
Fix: Add function dolEscapeXML.
Fix: Bad days and month reported by function.
Fix: Bad margin calculation.

***** ChangeLog for 3.5.5 compared to 3.5.4 *****
Fix: Holiday module was broken. Initializaion of amount of holidays failed.
Fix: [ bug #1523 ] suite bug #1334 : filtre et ordre de tri conjoints ne s'appliquent pas.
Fix: Fusion PDF button on unpaid invoice is no more displayed.
Fix: Unpaid invoice launch fusion PDF action even if it is only search (with enter keyboard input instead of lens click).
Fix: Pb when showing log list of holiday module with some mysql versions.
Fix: Error with bad timezone pushed by some browsers.
Fix: shipping list SQL request was not filtering on shipping element
Fix: debian package provided by dolibarr team must use embedded libraries.
Fix: [ bug #1528 ] Leopard Services numeration module description is not translated.
Fix: [ bug #1523 ] suite bug #1334 : filtre et ordre de tri conjoints ne s'appliquent pas.
Fix: [ bug #1534 ] Unknown error when deleting a product photo under special circumstances.
Fix: Update impayees.php
Fix: Link product, In list view and label product.
Fix: visible task into area "time" for "My task" must limit task to tasks i am assigned to.
Fix: When disabled, all fields to add time into task line must be disabled.
Fix: Missing include files.lib.php in some pages to use dol_delete_recursive.
Fix: [ bug #1558 ] Product/service edit page title shows new Ref instead of old ref.
Fix: [ bug #1553 ] Saving User displays setup removes menu.
Fix: [ bug #1544 ] Can remove date from invoice.
Fix: list event view lost type event filter.
Fix: Add code save on create event.
Fix: SQL injection.
Fix: [ bug #1589 ] Menu type in "Edit menu" page is not translated
Fix: [ bug #1591 ] Linked object block shows Total HT/TTC even if not having permission to read them
Fix: [ bug #1577 ] When creating new Private individual third, selected third type is ignored
Fix: [ bug #1555 ] Update accountancy code of products does not throw PRODUCT_MODIFY trigger
Fix: [ bug #1548 ] Supplier payment card shows type in French
Fix: [ bug #1546 ] Incorrect page number when searching in the list of bank transactions

***** ChangeLog for 3.5.4 compared to 3.5.3 *****
Fix: Hide title of event when agenda module disabled.
Fix: When using option MAIN_MAIL_ALLOW_SENDMAIL_F, a mail was sent to sender.
Fix: Question about warehouse must not be done when module stock is disabled.
Fix: Option STOCK_SUPPORTS_SERVICES was not correctly implemented
     (missing test at some places).
Fix: Renaming a project with uplaoded files failed.
Fix: [ bug #1476 ] Invoice creation form loses invoice date when there is a validation error.
Fix: [ bug #1431 ] Reception and Send supplier order box has a weird top margin.
Fix: [ bug #1428 ] "Nothing" is shown in the middle of the screen in a supplier order.
Fix: The object deliverycompany was not used anymore and output of
     details for delivery reports was lost during 3.5. Rewrite code to
     restore feature.
Fix: [ bug #1445 ] html fix : missing </tr>
Fix: [ bug #1415 ] Intervention document model name and suppliers model names is not shown
     properly in module configuration
Fix: [ bug #1416 ] Supplier order does not list document models in the select box of the 
     supplier order card
Fix: [ bug #1443 ] Payment conditions is erased after editing supplier invoice label or 
     limit date for payment
Fix: Filter on status was not visible when selected from url.
Fix: Filtering on status was last when asking to sort.
Fix: [ bug #1432 ] Trigger SHIPPING_CREATE ignores interception on error.
Fix: [ bug #1449 ] Trigger ORDER_CREATE, LINEORDER_DELETE, LINEORDER_UPDATE and LINEORDER_INSERT ignore interception on error.
Fix: [ bug #1450 ] Several Customer order's triggers do not report the error from the trigger handler.
Fix: [ bug #1451 ] Interrupted order clone through trigger, loads nonexistent order.
Fix: [ bug #1454 ] Mention de bas de page erroné
Fix: Do not display dictionnay for non activated module 
Fix: Link element from element project pages
Fix: [ bug #1509 ] Expedition admin free text & watermark submit error
Fix: [ bug #1349 ] AJAX contact selector does not work fine in Project card
Fix: [ bug #1452 ] variable used but not defined
Fix: If multiprice level is used the VAT on addline is not correct
Fix: [ bug #1254 ] Error when using "Enter" on qty input box of a product (on supplier order part)
Fix: [ bug #1462, 1468, 1480, 1483, 1490, 1497] $this instead of $object
Fix: [ bug #1455 ] outstanding amount
Fix: [ bug #1425 ] LINEBILL_SUPPLIER_DELETE failure trigger leads to an endless loop
Fix: [ bug #1460 ] Several supplier order triggers do not show error messages
Fix: [ bug #1461 ] LINEORDER_SUPPLIER_CREATE does not intercept supplier order line insertion
Fix: [ bug #1484 ] BILL_SUPPLIER_PAYED trigger action does not intercept failure under some circumstances
Fix: [ bug #1482 ] Several supplier invoice triggers do not show trigger error messages
Fix: [ bug #1486 ] LINEBILL_SUPPLIER_CREATE and LINEBILL_SUPPLIER_UPDATE triggers do not intercept trigger action
Fix: [ bug #1522 ] Element list into associate object into project are no more filterd by project thirdparty
Fix: [ bug #1526 ] Thumbs of files uploaded with dots in their names do not load correctly
Fix: Import ProfId1 to siren and ProfId2 to siret

***** ChangeLog for 3.5.3 compared to 3.5.2 *****
Fix: Error on field accountancy code for export profile of invoices.
Fix: [ bug #1351 ] VIES verification link broken.
Fix: [ bug #1352 ] Removing a shipping does not remove the delivery.
Fix: Option MAIN_INVERT_SENDER_RECIPIENT broken with typhon template.
Fix: Can disable features with PHPEXCEL (no DLSF compatible).
Fix: Can disable features with CKEDITOR. 
Fix: Pb of records not correctly cleaned when module marge is
     uninstalled (conflict between 'margin' and 'margins').
Fix: [ bug #1341 ] Lastname not added by file or direct input in mass e-mailing.
Fix: [ bug #1357 ] Invoice creator state not printed in generated invoice documents.
Fix: Suppliers invoice mask fails using {tttt} in numbering.
Fix: [ bug #1350 ] pdf template name for typhon was not correctly set when enabling module.
Fix: Navigation on notes for shipments was not working.
Fix: [ bug #1353 ] Email notifications, wrong URL.
Fix: [ bug #1362 ] Note is not saved.
Fix: tr/td balance.
Fix: [ bug #1360 ] note indicator for member tab.
Fix: Nb of notes and doc not visible onto tasks.
Fix: [ bug #1372 ] Margin calculation does not work in proposals.
Fix: [ bug #1381 ] PHP Warning when listing stock transactions page.
Fix: [ bug #1367 ] "Show invoice" link after a POS sell throws an error.
Fix: TCPDF error file not found in member card generation.
Fix: [ bug #1380 ] Customer invoices are not grouped in company results report.
Fix: [ bug #1393 ] PHP Warning when creating a supplier invoice.
Fix: [ bug #1399 ] [pgsql] Silent warning when setting a propal as "facturée" in propal.php
Fix: When number reach 9999 with default numbering module, next number
     will be 10000 instead of 0000 and error.
Fix: element page on project give wrong href link.
Fix: [ bug #1397 ] Filter by supplier orders with status Draft does not filter.
Fix: [ bug #1388 ] Wrong date when invoicing several orders.
Fix: [ bug #1411 ] Unable to set an expedition note if invoices module is not enabled.
Fix: [ bug #1407 ] Rouget pdf overlapped when using tracking number and public notes.
Fix: [ bug #1405 ] Rouget PDF expedition incorrect when two expeditions under the same commande
Fix: [ bug #1434 ] Muscadet supplier order document model linked objects overlap the text

***** ChangeLog for 3.5.2 compared to 3.5.1 *****
Fix: Can't add user for a task.
Fix: Autoselect of warehouse if there is only one warehouse.
Fix: Install of odt template for project and tasks.
Fix: [ bug #1318 ] Problem with enter key when adding an existing
     product to a customer invoice.
Fix: [ bug #1307 ] Quotes get removed from several inputs.
Fix: [ bug #1317 ] Removing a category does not remove all child categories
Fix: [ bug #1312 ] Call to undefined function _()
Fix: Restore build for obs and launchpad.
Fix: deleting files into backup system tools.
Fix: Dump using php not not include lock on tables that are deleted.
Fix: Fixed a problem with bank accounts sharing across entities.
Fix: fields into group by of sql requests for module margins must be
     same than fields into select.
Fix: When select_date is called with '' as preselected date,
     automatic user date was not correctly et (We must set a date into PHP
     server timezone area)
Fix: First param of select_date must always be forged with a dolibarr
     date function and not time().
Fix: fix can't add line with product in supplier order
Fix: [bug #1309]   
Fix: Solve pb of too many embedded tables     
Fix: [ bug #1306 ] Fatal error when adding an external calendar
Fix: A fix to manage automatic creation of code for import.
Fix: Try to add code to provide easy way to fix warning on timezone not
     defined.
Fix: Several fix into workflow/condition for invoice payments or convert
     into discount.
Fix: Option MAIN_PDF_DASH_BETWEEN_LINES was not working when tcpdf was
     making a pagebreak higher than 2 pages.     
Fix: form to add images should not show link form.
Fix: Correction when adding order line with price as '0'.
Fix: [ bug #1283 ] ROUGET Shipment PDF.
Fix: [ bug #1300 ]
Fix: Miscellaneous problems on task tabs (withproject parameter lost and
     download fails).
Fix: Avoid home project page to hung when too many tasks opened.
Fix: bug #1295: Error when creating an agenda extrafield with a number as reference
Fix: Translation of number for pt_PT.
Fix: Error on ajax_constantonoff function.
Fix: [ bug #1323 ] problème pour générer un odt depuis les taches dans projet.
Fix: Can not make withdrawals 

***** ChangeLog for 3.5.1 compared to 3.5.0 *****
Fix: Do not report trigger errors twice.
Fix: Error when creating event was not reported.
Fix: Bug of import of agenda when using https link
Fix: Field nature not saved correctly
Fix: Substitution of extra field was ko for order
Fix: Bad translation of date format for pt_BR.
Fix: priority field of agenda record is smallint.
Fix: Missing loading of lang in some pages.
Fix: Write note in invoice when using pos module.
Fix: Link to paypal was invalid into email text.
Fix: ref and date of supplier invoice.
Fix: Check on bank account.
Fix: Problem with file upload and download.
Fix: Page load not ending when large number of thirdparies. We 
     added option MAIN_DISABLE_AJAX_COMBOX to disable javascript
     combo feature that is root cause of problem.
Fix: [ bug #1231 ] PDF always generated in interventions
Fix: Be sure there is no duplicate default rib.
Fix: Enable extrafields for customer order, proposal and invoice lines. This feature
     was developed for 3.5 but was disabled (hidden) because of a bug not possible to
     fix enough quickly for 3.5.0 release. 
Fix: user right on Holiday for month report nor working.
Fix: [ bug #1250 ] "Supplier Ref. product" sidebar search box does not work
Fix: Bad space in predefined messages. 
Fix: [ bug #1256 ] Signature was not added for email sent from thirdparty page.
Fix: Action event SHIPPING_VALIDATE is not implemented
Fix: The customer code was set to uppercase when using numbering module leopard. We
     must keep data safe of any change.
Fix: [ bug #1291 ] Loading actions extrafields fails.
Fix: [ bug #1123 ] Paid deposit invoices are always shown as partially paid when fully paid
Fix: Corrected project contact types translation.
Fix: [ bug #1206 ] PMP price is bad calculated.
Fix: [ bug #520 ] Product statistics and detailed lists are wrong.
Fix: [ bug #1240 ] traduction.
Fix: [ bug #1238 ] When creating accompte with a %, free product are used for calculation.
Fix: [ bug #1280 ] service with not end of date was tagged as expired.
Fix: [ bug #1295 ] Error when creating an agenda extrafield with a number as reference.
Fix: [ bug #1306 ] Fatal error when adding an external calendar.
New: Added es_CL language
Fix: Margin tabs bad data show
Fix: [ bug #1318 ] Problem with enter key when adding an existing product to a customer invoice.
Fix: [ bug #1410 ] Add customer order line asks for required Unit Price but doesn't interrupt the creation of the line

***** ChangeLog for 3.5 compared to 3.4.* *****
For users:
- New: Add hidden option BANK_DISABLE_DIRECT_INPUT.
- New: More options to select status of users into select user list.
- New: [ task #862 ] Add ODT on shipments.
- New: [ task #149 ] Add # of notes and attachments in tabs.
- New: Can edit customer ref at any time.
- New: [ task #877 ] Reorganize menus.
- New: [ task #858 ] Holiday module: note on manual holiday assignation.
- New: [ task #892 ] Add hidden option in thirdparty customer/supplier module to hide non active
  companies in select_company method.
- New: [ task #531 ] Add a workload field on tasks.
- New: Add graph of bank account input/output into input-output report page.
- New: Add script export-bank-receipts.php
- New: Add option "filter=bank" onto script rebuild_merge_pdf.php to merge PDF that
  has one payment on a specific bank account.*
- New: [ task #901 ] Add Extrafield on Fiche Inter.
- New: Show process id in all command line scripts.
- New: Module mailman can subscribe/unsubscribe to ML according to categories or type of member.
- New: Add object_hour and object_date_rfc as substitution tag for open document generation.
- New: Add options to send an email when paypal or paybox payment is done.
- New: Clone product/service composition.
- New: Add option ADHERENT_LOGIN_NOT_REQUIRED.
- New: Add a cron module to define scheduled jobs.
- New: Add new graphical boxes (customer and supplier invoices and orders per month).
- New: [ task #286 ] Enhance rounding function of prices to allow round of sum instead of sum of rounding.
- New: Can add an event automatically when a project is create. 
- New: Add option MAIN_GENERATE_DOCUMENT_WITH_PICTURE.
- New: Add option excludethirdparties and onlythirdparties into merge pdf scripts.
- New: [ task #925 ] Add ODT document generation for Tasks in project module.
- New: [ task #924 ] Add numbering rule on task.
- New: [ task #165 ] Add import/export of multiprices.
- New: Add Maghreb regions and departments.
- New: A more responsive design for statistic box of home page.
- New: [ task #1005 ] Adapting to Spanish legislation bill numbering
- New: [ task #1011 ] Now supplier order and invoice deal with payment terms and mode.
- New: [ task #1014 ] Add option to recursively add parent category.
- New: [ task #1016 ] Can define a specific numbering for deposits.
- New: [ task #918 ] Stock replenishment.
- New : Add pdf link into supplier invoice list and supplier order list.
- New : Genrate auto the PDF for supplier invoice.
- New : Add category into filter webservice thirdparty method getListOfThirdParties.
- New : Allow to define margin or mark rate during quoting, ordering, invoicing.
- New : User permissions on margin module.
- New : Add ref supplier into muscadet model/
- New : Add ability to copy contact address to clipboard.
- New: Can use tag {mm} before {yy} even when there is a reset into numbering masks.
- New: [ task #1060 ] Register fields localtax(1|2)_type into details tables.
- New: [ task #923 ] Localtax support for ODT templates. 
- New: [ task #90 ] Barcode search.
- New: Add hidden option MAIN_VAT_DEFAULT_IF_AUTODETECT_FAILS.
- New: Can send an email from thirdparty card.
- New: Can cancel holidays that were previously validated.
- New: Can choose contact on event (action com) creation, and filtered by thirdparty.
- New: Add hidden option MAIN_FORCE_DEFAULT_STATE_ID.
- New: Add page to make mass stock movement.
- New: Add field oustanding limit into thirdparty properties.
- New: Can enter a vat payment of zero.
- New: Add path to installed dir of external modules + Name and web of module provider.
- New: Add option to use a specific mask for uploaded filename.
- New: Can attach external links to objects as we can attach files.
- Qual: Implement same rule for return value of all command line scripts (0 when success, <>0 if error).
- Fix: [ bug #992 ] Proforma invoices don't have a separated numeric count.
- Fix: [ bug #1022 ] correct margin calculation for credit notes.
- Fix: Better management of using ajax for upload form (to solve problem when enabling ajax jquery multifile upload in some cases).
- Fix: Lost stats filters into year selection.
- Fix: Some config data are shared between suppliers orders and suppliers invoices

New experimental module:
- New: [ task #157 ] Add a Skype button (adherents / third parties / contacts)

For translators:
- Qual: Normalized sort order of all languages files with English reference files.
- New: Add language code files for South Africa, France new Caledonia, Vietnam.
- New: Translate string for email to change password.

For developers:
- New: DolGraph can build graph with three lines.
- New: DolGraph accept a parameter to cache data of graph getNbByMonthWithPrevYear.
- New: Can enable tuning info with option MAIN_SHOW_TUNING_INFO.
- New: Show version of client lib used by mysql drivers.
- New: Add function to get content of an url (using all dolibarr setup like timeout, proxies...)
- New: Upgrade lib of TCPDF to 6.0
- New: Upgrade jquery flot library to 0.8.1
- New: Add property "hidden" into module descriptors to allow to hide a module according to
  some dynamic conditions.
- New: Add option MAIN_MOTD_SETUPPAGE to add a content onto setup page. Also content for
  MAIN_MOTD_SETUPPAGE, MAIN_MOTD_SETUPPAGE, MAIN_HOME now accept "|langfile" into translation
  key to use a specific language file.
- New: Make some changes to allow usage of several alternative $dolibarr_main_url_root variables.
- Qual: All nowrap properties are now using CSS class nowrap.
- Qual: Move hard coded code of module mailmanspip into trigger.
- New: Into POST forms, if you can add a parameter DOL_AUTOSET_COOKIE with a value that is list name,
  separated by a coma, of other POST parameters, Dolibarr will automatically save this parameters
  into user cookies.
- New: Add hook addHomeSetup.
- New: Add trigger CATEGORY_LINK and CATEGORY_UNLINK.
- New: A trigger can return an array of error strings instead of one error string.
- New: Add method to use a dictionary as a combo box.
- New: Add update method for web service product.
- Fix also several bugs with old code. 

WARNING: Following change may create regression for some external modules, but was necessary to make
Dolibarr better:

1) We started to clean hooks code. 
If your hook want to modify value of $actions, it's role of your hook to modify it. Dolibarr 
hook code will no more decide this for your module. If your action class for hook was returning
a string or an array, instead your module must set $actionclassinstance->results (to return array) 
or $actionclassinstance->resprints (to return string) to return same thing. The return value must 
be replaced by a "return 0";
Goal is to fix old compatibility code that does not match hook specifications: 
 http://wiki.dolibarr.org/index.php/Hooks_system   

2) If you implemented hook printTopRightMenu, check that output does not include '<td>' tags any more.
All content added must be tagged by a '<div>' with css class="login_block_elem"

3) Some methods object->addline used a first parameter that was object->id, some not. Of course
this was not a good practice, since object->id is already known, there is no need to provide id as 
parameter. All methods addline in this case were modified to remove this parameter. 

4) Method ->classer_facturee() is deprecated. It must be replace with ->classifyBilled().

5) Property ->tel on objects is now ->phone

6) Trigger LINEPROPAL_MODIFY is renamed into LINEPROPAL_UPDATE and
   Trigger CONTRACT_LINE_DELETE rnamed into LINECONTRACT_DELETE to match naming rules.



***** ChangeLog for 3.4.3 compared to 3.4.2 *****
Fix: Bad get of localtaxes into contracts add lines

***** ChangeLog for 3.4.3 compared to 3.4.2 *****
Fix: Warning into bank conciliation feature.
Fix: Bad get of localtaxes into contracts add lines.
Fix: Add a limit into list to avoid browser to hang when database is too large.
Fix: [ bug #1212 ] 'jqueryFileTree.php' directory traversal vulnerability

***** ChangeLog for 3.4.3 compared to 3.4.2 *****
Fix: Warning into bank conciliation feature.
Fix: Bad get of localtaxes into contracts add lines.
Fix: Add a limit into list to avoid browser to hang when database is too large.
Fix: [ bug #1212 ] 'jqueryFileTree.php' directory traversal vulnerability
Fix: Agenda and Banks module were not working with multicompany module
Fix: [ bug #1317 ] Removing a category does not remove all child categories
Fix: [ bug #1380 ] Customer invoices are not grouped in company results report.

***** ChangeLog for 3.4.2 compared to 3.4.1 *****
Fix: field's problem into company's page (RIB).
Fix: Document cerfa doesn't contained firstname & lastname from donator.
Fix: Bad rounding on margin calculations and display.
Fix: Option drop table into backup was broken.
Fix: [ bug #1105 ] Searching Boxes other search option.
Fix: wrong buy price update.
Fix: [ bug #1142 ] Set paiement on invoice (PGSql).
Fix: [ bug #1145 ] Agenda button list type do not display.
Fix: [ bug #1148 ] Product consomation : supplier order bad status.
Fix: [ bug #1159 ] Commercial search "other" give p.note do not exists.
Fix: [ bug #1174 ] Product translated description not good into PDF.
Fix: [ bug #1163 ] SQL Error when searching for supplier orders.
Fix: [ bug #1162 ] Translaction for morning and afternoon.
Fix: [ bug #1161 ] Search on product label.
Fix: [ bug #1075 ] POS module doesn't decrement stock of products in delayed payment mode.
Fix: [ bug #1171 ] Documents lost in interventions after validating.
Fix: fix unsubscribe URL into mailing when sending manually (not by script).
Fix: [ bug #1182 ] ODT company_country tag is htmlencoded.
Fix: [ bug #1196 ] Product barcode search does not expect 13th digit on EAN13 type.
Fix: [ bug #1202 ] Wrong amount in deposit % invoice from proposal.
Fix: Removed analytics tags into doc page.
Fix: Call Image on this instead of pdf.
Fix: Missing parameter for photo.
Fix: Bad SQL request for turnover report.

***** ChangeLog for 3.4.1 compared to 3.4.0 *****
Fix: Display buying price on line edit when no supplier price is defined.
Fix: Retrieving of margin info when invoice created automatically from order.
Fix: Reordering supplier products in list by supplier or supplier ref was crashing.
Fix: [ bug #1029 ] Tulip numbering mask.
Fix: Supplier invoice and supplier order are not displayed into object link into agenda event card.
Fix: [ bug #1033 ] SUPPLIER REF disappeared.
Fix: update extrafield do not display immediatly after update.
Fix: Fix bug with canvas thirdparty.
Fix: [ bug #1037 ] Consumption> Supplier invoices related.
Fix: User group name do not display in card (view or edit mode).
Fix: Link "Show all supplier invoice" on suplier card not working. 
Fix: [ bug #1039 ] Pre-defined invoices conversion.
Fix: If only service module is activated, it's impossible to delete service.
Fix: [ bug #1043 ] Bad interventions ref numbering.
Fix: Mailing module : if an email is already in destinaires list all other email from selector was not inserted.
Fix: Localtaxes balance not showing.
Fix: Intervention box links to contracts id.
Fix: Compatiblity with multicompany module.
Fix: Edit propal line was losing product supplier price id.
Fix: Delete linked element to supplier invoice when deleted.
Fix: [ bug #1061 ] Bad info shipped products.
Fix: [ bug #1062 ] Documents lost in propals and contracts validating.
Fix: Supplier price displayed on document lines and margin infos didnt take discount.
Fix: sorting on qty did not work in supplier product list.
Fix: there was no escaping on filter fields in supplier product list.
Fix: bugs on margin reports and better margin calculation on credit notes.
Qual: Add travis-ci integration.

***** ChangeLog for 3.4 compared to 3.3.* *****
For users:
- New: Can use ODS templates as document templates.
- New: Add link to autofill/reset with quantity to ship when creating a
  delivery receipt.
- New: Event into calendar use different colors for different users.
- New: Support revenue stamp onto invoices.
- New: Add a tab "consumption" on thirdparties to list products bought/sells.
- New: Some performance enhancements.
- New: Can attach files onto trip and expenses modules.
- New: Add hidden option MAIN_PDF_TITLE_BACKGROUND_COLOR.
- New: Merge tab customer and prospect.
- New: Add ES formated address country rule.
- New: Can define a hierarchical responsible on user and add a tree view to 
  see hierarchy of users.
- New: Can expand/collapse menus, categories and users list.
- New: extra parameters are supported into ODT/ODS templates.
- New: total per vat rate are available as tags for ODT/ODS templates.
- New: Some part of interface use more CSS3 (ie: agenda)
- New: [ task #707 ] Create option "ProfIdx is mandatory to validate a invoice".
- New: Can define if we want to use VAT or not for subscriptions (foundation module).
- New: Can define a default choice for "More action when recording a
  subscription" (foundation module).
- New: Add link to check professional id for India.
- New: [ task #731 ] Uniformize ref generation
- New: [ task #748 ] Add a link "Dolibarr" into left menu
- New: Script email_unpaid_invoices_to_representative accepts now a parameter "test"
  and a "late delay".
- New: Can define different clicktodial setups for each user.
- New: Add hidden option INVOICE_CAN_NEVER_BE_REMOVED.
- New: Enhance agenda module to reach RFC2445 ("type" not enabled by default and add
  "busy" information).
- New: Add module Opensurvey.
- New: Default approver for holidays is set by default to hierchical parent.
- First change to prepare feature "click to print" (IPP) for PDF.
- New: [ task #350 ] Merge tab customer and prospect.
- New: [ task #710 ] Add substitution into mailing send (and HTML is now valid).
- New: [ task #711 ] Add combobox for contact, as done for product/thirdparty.
- New: [ task #714 ] In Emailing module admin autogenerate security key of READRECEIPT.
- New: [ task #743 ] GED : Add aministration option to disable autotree display.
- New: [ task #767 ] Customer Address fallback when a contact doesn't have an address.
- New: [ task #768 ] WYSIWYG for all mails.
- New: [ task #773 ] Add Project document in GED(ECM) modules.
- New: [ task #783 ] Add more types for extra parameters (lists, phone, emails, checkbox,
  prices, radio).
- New: [ task #798 ] Add range limit date on product/services as it is done on order 
  and invoice.
- New: [ task #814 ] Add extrafield feature for projects ands tasks.
- New: [ task #770 ] Add ODT document generation for Projects module.
- New: [ task #741 ] Add intervention box.
- New: [ task #826 ] Optionnal increase stock when deleting an invoice already validated.
- New: [ task #823 ] Shipping_validate email notification.
- New: [ task #900 ] Review code of ficheinter.class.php
- Fix: [Bug #958] LocalTax2 for Spain fails on Suppliers
- Fix: [ bug #972 ] Auto completion contact field do not take account the min caract number before search
- Fix: [ bug #971 ] html.form.class.php select_contact with autocomplete do not exclude id from exclude array
- Fix: Expedition creation, can retreive product from other expedition

For translators:
- Update language files.

For developers:
- System of menu managers has been rewritten to reduce code to do same things. 
- An external module can force its theme.
- Add function dol_set_focus('#xxx').
- A mymodule can bring its own core/modules/mymodule/modules_mymodule.php file.
- Removed not used libraries.
- More web services. 
- Renamed some database fields, code variables and parameters from french to english.
- First change to manage margins on contracts.
- Add hook getFormMail.
- Function plimit of databases drivers accept -1 as value (it means default value set
  into conf->liste_limit).
- New: Add option dol_hide_topmenu, dol_hide_leftmenu, dol_optimize_smallscreen,
  dol_no_mouse_hover and dol_use_jmobile onto login page (to support different terminal).
- New: dol_syslog method accept a suffix to use different log files for log. 
- New: Type of fields are received by export format handlers.
- New: when adding an action, we can define a free code to tag it for a specific need.
- New: Enhance Dolibarr migration process to include migration script of external 
  modules.
- New: [ task #811 ] Uniformanize note field.
  

WARNING: If you used external modules, some of them may need to be upgraded due to:
- Fields of classes were renamed to be normalized (nom, prenom, cp, ville, adresse, tel
  were renamed into lastname, firstname, zip, town, address, phone).
  This may also be true for some fields into web services.
- If module use hook pdf_writelinedesc, module may have to add return 1 at end of 
  function to keep same behaviour.

TODO:
backport commit 53672dff75f4fdaeeed037ff9d15f860968022ca to fix confirm with jmobile
backport commit 384e3812eb73a15adafb472cacfb93397a54459b to fix W3C/edit contract
 


***** ChangeLog for 3.3.5 compared to 3.3.4 *****
- Fix: Change to make debian package ok despite removal of ckeditor.
- Fix: jcrop file to match debian rules
- Fix: Add missing country UK.
- Fix: Minor fix into package.
- Fix: Add missing label on project field.

***** ChangeLog for 3.3.4 compared to 3.3.3 *****
- Fix: [ bug #1001 ] Social Contribution : State not correct
- Fix: Better management of pdf generation when tcpdf is not available.
- Fix: Change to be more debian compliant natively.

***** ChangeLog for 3.3.3 compared to 3.3.2 *****
- Fix: [ bug #903 ] Fatal error: Call to undefined function dol_get_first_day() in htdocs/commande/liste.php
- Fix: [ bug #934 ] Error on proformat invoice creation (pgsql)
- Fix: [ bug #947 ] Can't create proposal lines with unit price = 0

***** ChangeLog for 3.3.2 compared to 3.3.1 *****
- Fix: Dutch (nl_NL) translation
- Generalize fix: file with a specific mask not found, again
- Fix: translations and BILL_SUPPLIER_BUILDDOC trigger
- Fix: Can't reset payment due date
- Fix: Orderstoinvoice didn't act as expected when no order was checked
- Fix: Bad link to all proposals into Third party card if customer is prospect
- Fix: Some bugs on withdrawal rejects
- Fix: [ bug #774 ] Bug on creating event with box "all day" crossed
- Fix: [ bug #787 ] Invoice supplier box incorrect tooltip when delay on payment
- Fix: [ bug #789 ] VAT not being calculated in POS
- Fix: [ bug #790 ] Spanish localtax RE not being correctly calculated
- Fix: [ bug #794 ] Lost filter on zipcode in prospect list 
- Fix: [ bug #806 ] Margins module with orders2invoice does not respect cost price
- Fix: [ bug #810 ] Cannot update ODT template path
- Fix: [ bug #816 ] Sales journal does not reflect localtaxes
- Fix: [ bug #817 ] Purchases journal does not reflect localtaxes
- Fix: [ bug #824 ] MAIN_DB_PREFIX not use into dictionnary
- Fix: [ bug #828 ] Error when code_region is not a number in llx_c_regions (with postgres)
- Fix: [ bug #855 ] Holiday approval email in French
- Fix: [ bug #856 ] (Holidays module) Mail error if destination user doesn't have an email
- Fix: [ bug #857 ] Invoice created from shipment does not have the order discount
- Fix: [ bug #861 ] Impossible to create a new event in agenda
- Fix: [ bug #827 ] AJAX search does not respect multiprice level
- Fix: [ bug #865 ] Dolibarr navigation array in project/task do not work
- Fix: [ bug #866 ] Standing order from an invoice suggests invoice total amount instead of remaining to pay
- Fix: [ bug #788 ] Date of linked interventions are not shown
- Fix: external users should not see costprice and margin infos
- Fix: [ bug #806 ] Tasks are ordered alphabetically instead of chronological order

***** ChangeLog for 3.3.1 compared to 3.3 *****
- Fix: [ bug #733 ] Mass emailing tools do not support <style HTML tag
- Fix: Package for launchpad
- Fix: [ bug #736 ] Missing column in llx_c_chargesociales  
- Fix: Localtax2 for Spain must be based into buyer
- Fix: [ bug #762 ] Bad profit calculation in Reporting
- Fix: bug dictionnary with wrong prefix table

***** ChangeLog for 3.3 compared to 3.2.* *****
For users:
- New: Add holiday module, to declare and follow holidays of your employees.
- New: Add margin management module.
- New: Add new theme Amarok.
- New: [ task #289 ] Can reorder tasks.
- New: Add field "signature" into user card. If filled, text is added 
       at end of predefined email texts. If option MAIN_MAIL_DO_NOT_USE_SIGN is on, this
       feature is disabled.
- New: Can input a payment back onto an credit note.
- New: Add link "Back to list" on all cards.
- New: After first install, warning are visible onto mandatory setup not
       configured. Show also total number of activated modules.
- New: Can filter list of proposal, order or invoice on sales representative.
- New: Add supplier ref on supplier orders.
- New: Can export supplier orders and customers shipments.
- New: First change to install external plugins from gui (experimental). 
- New: Monaco is like France for default vat calculation
- New: Can list elements (invoices, orders or proposals) on a particular
  user contact). This allow to view a "basket" of its elements.
- New: Show bank account on payment list of invoice card.
- New: Cloning project allow to clones task, notes, projects files, tasks files, contacts. 
- New: Enhance default style.
- New: Can edit and resiliate member status from list.
- New: Can insert URL links into elements lines. Also reported into PDF.
- New: When a member is validated, we can subscribe to mailing-lists
       according to its type.
- New: Add a tab into members statistics to count members by nature.
- New: Add link to third party into sells and purchase journal.
- New: Suggest a method to generate a backup file for user with no access
       to mysqldump binary.
- New: Can also use extrafields on contacts/addresses and users.
- New: Support unique field for extrafields.
- New: Extra fields supports more types (int, string, double, date, datetime).
- New: Can correct stock of a warehouse from warehouse card.
- New: [ task #185 ] Can input amount when correcting stock to recalculate PMP.
- New: [ task #454 ] Add "No category" into filters on category.
- New: Auto check box on page to edit interface options of user.
- New: More surface control on stock correction page.
- New: Add great britain provinces.
- New: [ task #494 ] Send an email to foundation when a new member has auto-subscribed.
- New: [ task #326 ] Add a numbering module to suggest automatically a product ref.
- New: Add conditional substitution IF/ELSEIF/ENDIF for ODT templates.
- New: Add unit foot2, inch2, foot3 and inch3 for surface and volumes.
- New: Can select thirdparties into emailing targets, even if module category is not enabled.
- New: [ task #498 ] Improvement of the block to add products/services lines.
- New: ECM autodir works also for files joined to products and services.
- New: Add a selection module for emailing to enter a recipient from gui.
- New: Allow to search thirds and products from barcodes directly from the permanent mini search left box.
- New: Allow to search product from barcodes directly from invoices, proposals... through AJAX.
- New: Can make one invoice for several orders.
- New: POS module can works with only one payment method (cach, chq, credit card).
- New: Add possibility to defined position/job of a user.
- New: Add hidden option to add slashes between lines into PDF.
- New: [ task #210 ] Can choose cash account during POS login.
- New: [ task #104 ] Can create an invoice from several orders.
- New: Update libs/tools/logo for DoliWamp (now use PHP 5.3).
- New: Added ODT Template tag {object_total_discount_ht}
- New: Add new import options: Third parties bank details, warehouses and stocks, categories and suppliers prices
- New: English bank account need a bank code (called sort code) to identify an account. 
- New: Can choose menu entry to show with external site module.
- New: Add hidden option MAIN_PDF_MARGIN_LEFT, MAIN_PDF_MARGIN_RIGHT, MAIN_PDF_MARGIN_TOP, MAIN_PDF_MARGIN_BOTTOM to force margins of generated PDF.
- New: [ task #314 ] Can define if prof id are mandatory or not.
- New: Add button on order card to create intervention from services.
- New: Add search box to find products by supplier reference.
- New: Add option MAIN_HELPCENTER_LINKTOUSE to define target link "I need help" onto logon page. 
- New: [ task #608 ] Can clone a supplier order with prices updates
- New: [ task #559 ] Can define a discount % regarding quantity in supplier prices and price by quantity in customer prices
- New: [ task #527 ] After cloning a suplier invoice, go onto invoice ref into edit mode

New experimental module:
- New: Add commissions management module.

- Fix: [ bug #499 ] Supplier order input method not translated
- Fix: No images into product description lines as PDF generation does not work with this.
- Fix: Errors weren't being shown in customer's & supplier's orders
- Fix: Lastname wasn't being recorded in xinputuser emailing module.
- Fix: [ bug #653 ] Error while creating agenda additional attributes
- Fix: [ bug #654 ] Event rapport PDF showing ActionAC_OTH_AUTO
- Fix: [ bug #658 ] Search on bank do not work for description
- Fix: [ bug #659 ] Comment in recurrent invoices is not stored
- Fix: [ bug #622 ] Attaching wrong file when sending the invoice via e-mail

For developers:
- New: Add webservice for thirdparty creation and list.
- New: A module can overwrite templates parts.
- New: Can add a link on title field of added dictionnary.
- New: Uniformize code.
- New: Add option WORKFLOW_DISABLE_CREATE_INVOICE_FROM_ORDER and 
       WORKFLOW_DISABLE_CLASSIFY_BILLED_FROM_ORDER.
- New: A module can add several css and js.
- New: removed deprecated methods
       ldap::connect, formadmin::select_lang,
       html::select_tva
- New: Add custom substitution function for ODT product lines: mymodule_completesubstitutionarray_lines()
- New: Basic implementation of hooks and triggers for a lot (most) of core modules: 
  action/calendar, trips and expenses, dons, vat payment, contact/society, contract, product lines, 
  expedition, order supplier and order invoice (lines included), intervention card, project, tasks.
- New: Add ChromePHP output into syslog module.
- New: Add PRODUCT_PRICE_MODIFY trigger.
- New: Created function to retrieve total amount of discount of an invoice/proposal...
- New: We can use a dynamic value ($conf->global->XXX for example) into titles of menus.
- New: Use PHP classes DateTime* for some data functions instead of adodb 
- Qual: Renamed SUPPLIER_INVOICE_BUILDDOC trigger to BILL_SUPPLIER_BUILDDOC
- Qual: Renamed INVOICE_SUPPLIER_DELETE trigger to BILL_SUPPLIER_DELETE
- Qual: Renamed SUPLIER_ORDER_BUILDDOC trigger to ORDER_SUPPLIER_BUILDDOC
- Qual: Renamed CONTRACTLINE_DELETE trigger to CONTRACT_LINE_DELETE
- Qual: Renamed all ficheinter.class.php triggers so that they start with 'FICHINTER_'
- Fix: [ bug #655 ] ORDER_REOPEN trigger incorrectly named
- Fix: [ bug #656 ] Contracts trigger CONTRACT_MODIFY incorrectly named
- Fix: [ bug #657 ] Usergroup class' GROUP_DELETE trigger incorrectly named

For translators:
- New: Update language files (de, tr, pt, ca, es, en, fr).
- New: Added bg_BG autotranslated language.
- New: Translate the donation receipt.

Dolibarr license has also been updated from GPLv2+ to GPLv3+.



***** ChangeLog for 3.2.3 compared to 3.2.2 *****
- Fix: Some permission into agenda module.
- Fix: Generation of PDF was not using correct font for some languages.
- Fix some translations.
- Fix: [ bug #607 ] Nom de société avec guillemets.
- Fix: Option MAIN_MAIL_SENDMAIL_FORCE_BA and MAIN_FIX_BUGGED_MTA was not
  complete.
- Fix: comaptiblity with multicompany module.
- Fix: Bad label when validating/paying an invoice from POS module.
- Fix: Correct recipient into rouget template.
- Fix: A lot of fix into PDF pagebreak management.
- Update VAT for some countries.
- Firstname was missing when sending email from file list.
- Added en_SA language.



***** ChangeLog for 3.2.2 compared to 3.2.1 *****
- Fix: Modify spanish VAT to new rates.
- Fix: Add error message when creating already existing product.
- Fix: Edition of percentage of an event.
- Fix: Minor look fix for theme bureau2crea.
- Fix: Start and end date not saved at project creation
- Fix: Default vat is zero for customer invoices if company does not use vat
- Fix: Localtaxes unit prices precision



***** ChangeLog for 3.2.1 compared to 3.2.0 *****
- Fix: Edit of projects.
- Fix: Activation of modules does not fails if directory install was removed.
- Fix: [ bug #444 ] Regression on auto-closing for proposals and orders.
- Fix: Update translations (catalan, french, spanish, brazilian).
- Fix: [ bug #445 ] Hex escaping in descriptions.
- Fix: error when validating shipment for non predefined products with a
  selected warehouse.
- Fix: Bad local taxes if price base type is TTC for spanish local taxes.
- Fix: Phone not saved when using web service.
- Fix: [ bug #464 ] Payment form should allow to add transmitter for bank transfers.
- Fix: Allows to use a comma decimal separator in supplier invoices payments.
- Fix: Translation for tr_TR, es_ES, pt_BR.
- Fix: Products with no prices not visible.
- Fix: Access to product card created with very old version of Dolibarr.
- Fix: Delete temporary files after validating an invoice.
- Fix: preview of supplier order and invoice template.
- Fix: [ bug #485 ] Configurated amount for public auto-subscription form is not taken into account
- Fix: Average amount graphs weren't comparing the previous year stats
- Fix: Closed project didn't show the new status unless the page was refreshed
- Fix: Files were not being uploaded to a project's task
- Fix: [ bug #503 ] Unable to delete linked file to a deposit
- Fix: [ bug #501 ] Error while trying to modify an user
- Fix: [ bug #506 ] Can't set percentage of a started event
- Fix: Bad assignation of const for pdf delivery module name



***** ChangeLog for 3.2.0 compared to 3.1.* *****
WARNING: PHP lower than 5.x are no more supported.
WARNING: Because of a major datastructure change onto supplier prices tables, be aware
to make a backup of your database before making upgrade.

For users:
- New: Each user can remove/add its own boxes.
- New: Add signature at end of predefined email text.
- New: Can use personalized fields on products/services.
- New: Can attach files on social contributions.
- New: Show payments terms and conditions onto muscadet template.
- New: Can open back a closed commercial proposal.
- New: show thirdparty barcode on main tab.
- New: Can input note (private and public) during note and expenses creation.
- New: Print ticket show invoice ref into POS module.
- New: Can edit customer discounts from invoice create and edit card.
- New: task #11243: Show quantity into stocks for each sub-products into the sub-product tab.
- New: task #10500: Option to choose if professional id are unique.
- New: Add hidden option FOURN_PRODUCT_AVAILABILITY.
- New: task #11123: Add best supplier price.
- New: Enhancement in styles.
- New: Can conciliate several lines in one operation.
- New: task #11289 : Modify third party accountancy code generator aquarium.
- New: task #10606 : more comprehensive message error.
- New: task #11278 : Option into point of sale module to add services in list.
- New: task #11261 : Add an entry into menu called "New shipment".
- New: [ task #187 ] Gerer les evenement recurrents dans les imports ical.
- New: Make option MAIN_GENERATE_DOCUMENTS_WITHOUT_VAT available by default.
- New: Can build PDF in USLetter format or canada format (change paper size).
- New: Can export into Excel 2007 format.
- New: Add hidden option CASHDESK_FORCE_STOCK_ON_BILL
- New: Can search on part of barcode into POS module.
- New: Cheques into cheques receipts are ordered by operation date.
- New: Add hidden option MAIN_DISABLE_PDF_AUTOUPDATE to avoid generating pdf each time data change.
- New: Add hidden option PROJECT_HIDE_UNSELECTABLES to hide project you can't select into combo list.
- New: Add option INVOICE_POSITIVE_CREDIT_NOTE.
- New: Support zip/town autocompletion into warehouses.
- New: Add box for last expired services.
- New: Reduce seriously size of packages.
- New: Can define country code for import.
- New: When invoice was generated from order, order date is visible on PDF, after order ref.
- New: [ task #181 ] Hide password of click2dial in user card.
- New: Chart are faster to build
- New: Value of data into charts are visible on mouse hover.
- New: Import wizard can import contacts.
- New: Import wizard can import personalized fields.
- New: Personalized fields support int type.
- New: Install process is now two times faster.
- New: Can sort files into backup tool.
- New: Default output charset are utf8 into backup tool.
- New: Add brazilian states.
- New: Increase usability of module project.
- New: [ task #285 ] Add search filter on project in tasks list.
- New: Automatic list of documents in ECM module is ok for customers,
       suppliers invoice, orders, customers orders, proposals and social contributions.
- New: All professional id can contains up to 128 chars instead of 32. 
- New: [ task #176 ] Allow to use ODT templates for proposals and orders like it's done for invoices
- New: Add hidden option MAIN_ADD_PDF_BACKGROUND to add a PDF as background of invoice/order generated PDF.
- New: Can convert a product/service into service/product.
- New: Show delivery date into proposal template azur. 
- New: Support tags into header and footer into ODT templates.
- Fix: Can use POS module with several concurrent users.
- Fix: Installer don't fails with Mysql version that added a ssl_cypher field.
- Fix: Sanitize input parameters.
- Fix: [ bug #368 ] Product list
- Fix: [ bug #370 ] Filter in accountancy -> suppliers_bills
- Fix: [ bug #399 ] Bad calculation of local taxes in update line products
- Fix: [ bug #427 ] Bad links to wiki help in certains menus

For developers:
- New: Can add a left menu into an existing top menu or left menu.
- New: Add webservice to get or create a product or service.
- New: Add webservice to get a user.
- New: Add more "hooks" (like hooks to change way of showing/editing lines into dictionnaries).
- New: Log module outputs can be setup with "or" rule (not only "xor").
- New: Add FirePHP output for logging module.
- New: Add trigger ACTION_DELETE and ACTION_MODIFY.
- New: Trigger now have a priority to define sort execution order.
- New: Can define different requests according to database type into migration files.
- New: Add "canvas" feature to overwrite page of thirdparty, contact, product with yours.
- New: Removed artichow deprecated libraries.
- New: A page can force reload of css style sheet
- New: A module can add import description for import wizard, even for tables with foreign keys.
- New: Can add tabs on statistics views.
- New: Add CSS id/class into public payment pages.
- Qual: Add a lot of more PHPUnit tests.
- Qual: Data structure for supplier prices is simpler.
- Qual: Removed no more used external libraries.
- Qual: Cleaned a lot of dead code.
- Qual: More OOP (usage of "abstract", "static", ...), uniformize constructors.
- Qual: Fix a lot of checkstyle warnings.
- Qual: task #216 : Move /lib into /core/lib directory
- Qual: task #217 : Move core files into core directory (login, menus, triggers, boxes, modules)
WARNING: To reduce technic debt, all functions dolibarr_xxx were renamed int dol_xxx.



***** ChangeLog for 3.1.3 compared to 3.1.2 *****
Fix: PgSQL - property must be set if success
Fix: Provide a solution for backup when mysqldump is not available
Fix: Bug #460 - Wrong entity assignment when creating a warehouse
Fix: bug #405 - Late icon always displayed on comm/propal.php



***** ChangeLog for 3.1.2 compared to 3.1.1 *****
- Fix: Can clone a proposal
- Fix: Add member ID in substitution method
- Fix: Duplicate end tag and missing form parts
- Fix: Support companies with no prof id.
- Fix: Sanitize data
- Fix: Bug #318
- Fix: Bug #369
- Fix: More bugs



***** ChangeLog for 3.1.1 compared to 3.1.0 *****
- New: Add option FACTURE_DEPOSITS_ARE_JUST_PAYMENTS. With this option added, 
       credit notes are not removed from total amount of invoice but are just 
       payments used to reducs remain to pay.
- New: Added hidden option MAIN_FIX_FOR_BUGGED_MTA to fix bugged MTA.       
- Fix: Removed warnings during install.
- Fix: State into address of paypal payments were lost.
- Fix: Currency into paypal payments were always euros.
- Fix: Removed Bare LF from emails sent with smtps method.
- Fix: Can show report on selected period.
- Fix: product removed from list after deleted into order.
- Fix: [bug #270] PostgreSQL backend try to connect throught TCP socket for 
- Fix: price was not without tax when using multiprice into POS module.
- Fix: Can delete bank account.
- Fix: [ bug #277 ] Year dropdown in table header of supplier invoices.
- Fix: Some other very minor fixes.


***** ChangeLog for 3.1 compared to 3.0 *****
WARNING: IE6 browser is no more supported in this version.
For users:
- New: War against number of clicks:
     - When adding a free bank transaction, form to add next one is still
       visible (save one click).
     - task #10969 : Add checkbox to close automatically invoice if
       payment is complete (save 3 clicks).
     - Reduce a step into supplier order workflow to save time. If user
       has permission to approve, order is approved when order is validated.
       (Save 2 clicks).
     - In commercial main menu, left menu are already opened. This save one click
       to open a proposal or order.
     - Can add a discount for third party, during invoice edition (and we 
       saved clicks again).
     - When creating a contract, sales representative are preset to user. This save
       4 clicks.
     - Can edit several fields in bank transaction line page into one update.
     - Creation of contacts from third party page go back to third party.
     - Preselect model if there is only one. This save 2 clicks. 
     - Can remove a project if project has tasks. No need to delete task one by one.
- New: Enhance donation module. Add a status "canceled".
- New: Add filters on all statistics report pages.
- New: If a service contains subproducts, subpoducts are decrease when service
       is decrease.
- New: Add status for third parties to disable a third party.
- New: Can send interventions cards by email.
- New: Increase list of available notifications into module Notifications.
- New: Add option MAIN_FIRST_TO_UPPER to force upper case of first 
       letters for names and firstname.
- New: Can filter of payment type in bank transaction list.
- New: Status of users is visible into user list.
- New: Support BSB code for bank account in Australia.
- New: Can set date of payment for autocreate invoice/payment when 
       creating a foundation subscription.
- New: Can edit note of payment.
- New: Option to make login not mandatory in member module.
- New: Add box for last members for foundation module.
- New: A specialized menu can now be used when using smartphones.
- New: Can add information on current user on ODT generation.
- New: Prefix on third party is not used by default. Hidden option
       SOCIETE_USEPREFIX can restore old feature.
- New: Standing orders module use bank account from banks module.
- New: Ask password when creating a user from a contact.
- New: task #10577: Use a numbering module for shipment and contract.
- New: Can create manually order from proposal.
- New: Add a first workflow module to create automatic action on some
       events (create order on proposal closing).
- New: Use autocompletion on invoice select when creating replacement 
       or credit note invoice.
- New: task #10885: Add a week view for calendar.
- New: task #11018: Add a status "not applicable" on events.
- New: Add subscriptions/country/region/town statistics for member module.
- New: Can define a proxy for external web access.
- New: task #11003: checkbox on checks for deposit.
- New: Add status into export. Add third party default language into export.
- New: Can filter on date and bank account when building check receipts.
- New: task #10958 : Add link to cheque receipts into bank transaction 
       line if exists
- New: Can import external ical url into dolibarr agenda view.
- New: Can add a logo on third parties card.
- New: task #11194 : Can delete uploaded photos 
- New: task #9744 : Add the barcode to select products on Point of Sale module
- New: Subscription/Unsubscription to mailman mailing-list can be done on 
       validate/resiliate in foundation module.
- New: Can use extrafields on third parties.
- New: Add chart to report counts by status on element home area pages.
- New: Look: Usage of Jquery Notify to show result or error messages on action.
- New: Look: Minor enhancements into agenda view.
- New: Look: Nicer tooltips with transparency and shadow.
- New: task #11004: Create invoice from intervention.
- New: task #10501: Can use point of sale with different bank accounts.
- Fix: Better Postgresql compatibility.
- Fix: Numbering module for invoices use same number for invoice 
       and credit note if mask is same.
- Fix: Debug and clean withdraw module.
- Fix: Allow access permission for point of sale module.
- Fix: Permissions issues with suppliers.
- Fix: Admin dict data is showing with active language 

For developers:
- New: External modules can add tabs on agenda views.
- New: External modules can also remove default tabs.
- New: External modules can force skin directory so force their own skins.
- New: External modules can add their own menu manager.
- New: External modules can force menu manager.
- New: External modules can overwrite all default language files by
       forcing priority on langs directories on its own lang directory.
- New: External modules can show export list with an "enabled" condition.
- New: Support a backtopage parameter on contact creation page.
- New: Add id on div to show logo.
- New: Install wizard can activate a module at end of install.
- New: Dictionnary setup works with very large external dictionnaries (Add 
       page navigation).
- New: Add api to draw graphics with javascript (using Jquery Flot).
- New: Can add user login into menu urls added by modules.

For translators:
- New: Add fa_IR language.
- Fix: Move language ar_AR to ar_SA, sv_SV to sv_SE and da_Da to da_DK.



***** ChangeLog for 3.0 compared to 2.9.* *****
For users:
- New: Can edit date of cheque receipts.
- New: Add Sales journal and Purchase journal report.
- New: Can create supplier invoice from supplier order.
- New: Support login by openid
- New: Support "full day" event in calendar module.
- New: Add a weather on dashboard.
- New: Add a Paypal module.
- New: Can choose third party to use in point of sale module during logon.
- New: A lot of enhancements into ECM module:
       Directories can contains special characters,
       Speed enhancements,
       Directories can be created outside of Dolibarr, refresh button will 
       update database,
       Can rename a file.
- New: Reordering lines in invoice, orders, commercial proposal is faster (use Ajax
       technology).      
- New: Can import members using assistant.
- New: Can exclude deposit, replacement or credit notes in script rebuild_merge_pdf.
- New: task #10473 : Option MAIN_PROFIDx_IN_ADDRESS must no more be hidden.
- New: Can generate business card for on particular member.
- New: Task #10553 : Can attach files on members card.
- New: Can filter on payment type and bank account in payment lists.
- New: When sending supplier orders by mail, a text is predefined.
- New: Upgrade process works with Postgresql.
- New: Task #10538: Add filter on expiration date of subscription for
       foundation module email selector.
- New: Task #9643: Add 2 status (tosell/tobuy) on products instead of only
       1 status for both selling and buying.       
- New: Can input payment conditions on several lines.
- New: Add hidden option MAIN_LOGOUT_GOTO_URL to set the exit url after
       a logout.
- New: For germany, we invert order of address.
- New: Add hidden option MAIN_SERVICES_ARE_ECOMMERCE_200238EC.
- New: Support NPR in customer product prices.
- New: Add more volume units (ounce, gallon, inch, feet, ...)
- New: Delivery date accepts hours and minutes.
- New: Can add a comment on stock dispatching to be save into stock movements.
- New: Can filter product list with too low stocks.
- New: Add option to send all emails sent to a bulk carbon copy.
- New: Preview of emails sent by member module is shown.
- New: task #10100 : Add button to create invoice from a subscription
- New: Reorganize tabs on third parties.
- New: Option MAIN_INVERT_SENDER_RECIPIENT is available in einstein pdf template.
- New: Easier way to define url for clicktodial module.
- New: Add a fckeditor test area in fckeditor module setup.
- New: Add property "Event on full day" on agenda
- New: Enhancement and better compatibility (google, thunderbird) for agenda export.
- New: Can use image editor on user photo.
- New: Task #10796: Add Spain ProfId1 Verification
- New: Page "supplier summary" is now available.
- New: Task #10611: Add option to choose order of field in bank account info on PDF
- New: If a transaction was reconciliated and should not, there was no way to reverse error.
- New: Ubuntu package now works also on debian.
- Perf: Avoid reading database to determine country code after each
        page call.
- Fix: Special chars are now supported in ECM module for filename (not yet for
       directories).
- Fix: Better Postgresql compatibility.
- Fix: Box order is saved when moved.
- Fix: Database name can contains "-" characters.
- Fix: In coloring negative amounts.
- Fix: Date input use date format of user and not dd/mm/yyyy format.
- Fix: Fixed a very old bug making file attachment fails with some emails 
       readers when using "mail php function".
- Fix: When cloning commercial proposal, due date is creation date + delay
       by default.
- Fix: Can edit ordering methods.

For translators:
- New: Update and complete slovenian language sl_SL.
- New: Add full manually translated files for de_AT en de_DE (thanks to eCleaner.at).
- New: Create the language ja_JP.
- New: Add el_GR language.

For developers:
- New: Add jquery by default.
- New: Removed PWC libraries.
- New: Removed Scriptaculous libraries.
- New: Removed Prototype libraries.
- New: Add first Selenium GUI tests.
- New: Enhance a lot of internal function to build external modules
       more easily.
- New: Add a user field ref_ext in object tables to allow external
       systems to store their id and make self-developed synchronizing
       functions easier to build.        
- New: Local user timezone is saved into session (not used yet).
- New: Works with Mysql 5.5.
- Qual: Menu system code is simpler.
- Qual: Mutualize some duplicate code.
- Qual: Renamed some fields into database to be more internationnal.
- Qual: Removed deprecated code.


***** ChangeLog for 2.9 compared to 2.8.* *****
For users:
- New: POS module allow to choose which warehouse to use.
- New: Support "Department/State" field on company setup, contact, 
       bank account and members card.
- New: Can reopen a refused/canceled supplier order.
- New: Add Gant diagramm on project module.
- New: Add a new mode for automatic stock increase: Can be increased
       on dispatching of products from a supplier order receipt.
- New: Can set a past delay to limit calendar export.
- New: Can attach files on emailing campaigns.
- New: Add statistics on trips and expenses module.
- New: Can reopen a closed customer order.
- New: Add module externalsite to add a web site/tools inside 
       menu and a Dolibarr frame.
- New: Can link trips and fees to a project.
- New: Add civility title in foundation module.
- New: Can set accountancy code for product (buy and sell).
- New: Can filter third parties lists on categories.
- New: Can filter products and services lists on categories.
- New: task #10202 : Support categories for members.
- New: Can build documents for third parties (Using ODT templates, need PHP 5.2+). 
- New: Support new products properties: length and area.
- New: Add the "payment due before" field in invoice exports.
- New: Add feature to resize or crop image files (for products photos)
- New: task #10113 : Show list of emailing on clicking on "number of mass emailing received"
- New: Add default language for third parties and use it when multilang is enabled
       to define default language for document generation.
- New: Can reopen a closed supplier invoice.
- New: Move permission "see hidden categories" into "see hidden products/services".
- New: Can delete several files at once in FTP module.
- New: Add box "last contracts".
- New: Works even if Web hosting provider has disabled PHP "glob" function.
- New: Can now send supplier orders by email.
- New: task #10076 : Show content of message in notification module.
- New: Bank name is shown on invoice.
- New: IBAN value is called IFSC if country is India.
- New: Add option to choose to show firstname then name or name then firstname on PDF.
- New: Add company in fields exported by export of members tool.
- New: Reorganise bank menus.
- New: Bookmarks can be sorted on a particular order.
- New: Support spanish RE and IRPF taxes on invoices.
- New: Module category offers categories for foundation module.
- New: Can filter on category on third parties, products and members listings.
- New: A flag is visible before country labels.
- New: When activating a new module, permissions for admin user are set. This save
       time when configuring Dolibarr.
- New: Dolibarr 2.9 is faster than 2.8.
- New: A lot of more predefined VAT values, states, regions for 
       miscelaneous contries.
- New: Enhance skin engine to make themes easier.
- New: Add images into menu "eldy".
- New: Auguria theme is now more modern.
- New: Update tools refers to www.dolibarr.org but also www.dolistore.com web site.
- New: Postgresql experimental support seems to work completely. 
- New: Changes in Dolibarr core to allow to use cache servers (see Memcached module on
       dolistore.com).
- New: Default choice for interactive confirm box is yes by default, and no only for
       delete actions. This reduce number of clicks required to validate actions and 
       is still safe to dangerous actions.
- Fix: Durations are correctly shown for languages using PM/AM dates.
- Fix: A lot of fixes in Point of Sale module.
- Fix: Debug experimental module widthrawal.
- Fix: Format number was wrong for ar_AR language.
- Fix: Can change password if user has only permission "change password".
- Fix: Project PDF document shows all tasks.
- Fix: bug #29278 : SMTP fails with IP instead of hostname.
- Fix: Default language on login page was wrong.
- Fix: Complete support of euros sign (even in PDF).
- Fix: Bad setup of phpMyAdmin for DoliWamp installer.
- Fix: Tracking number should be available on sending sheets.
- Fix: Stock value is not reset when product is transfered into other warehouse. 
- Fix: A lot of not tracked bugs fixed.
- Fix: Some fixes in barcode management.
- Fix: Access to phpMyAdmin is now ok on new DoliWamp installation.

For translators:
- Fix: Major update of italian translation (it_IT).
- Fix: A lot of translation fixes in all languages.
- New: Added translations (sl_SL, is_IS).
- New: Add translations for the DoliWamp installer.

For developers:
- More comments in code.
- Uniformize some code. 
- All arrays "lignes" were renamed into "lines".
- Delete all useless pre.inc.php files (this also increase speed).
- Fix W3C errors in page forging.
- Qual: Mutualize code of menu managers.
- Better isolation of modules files and dolibarr core files. 
- Task #8682 : Remove functions unix_timestamp.
- The makepack tool now make pack with UID 500.
- More css class and div to output menu to allow more skins.
- Generated documentation can be build from Eclipse using Doxygen plugin.
- Snapshot is provided with PHPunit tests.

WARNING: 
- A lot of class files (*.class.php) has moved into subdirectories. So If you use
  or develop non official modules that includes Dolibarr classes, you will have to rename
  path to thoose classes into the include function.
- Also, parameters of the "fetch()" method for class "User" has changed to reflect
  other fetch methods.   
- If you build a personalised themes, you must rename the style sheet into style.css.php.   
- This version is also the last one to support PHP 4.*, Mysql 3.1, IE6.
  Dolibarr 3.* will be supported with PHP 5+ and MySql 4.1+ only.


***** ChangeLog for 2.8.1 compared to 2.8 *****
For users:
- Fix: Works on database with _ in name.
- Fix: Broken feature in trips and expense module.
- Fix: Can use $ in database and login/pass values.
- Fix: No error on upgrade if there is orphelins tasks.
- Fix: Failed to login when user agent string was longer than 128.
- Fix: bug #29526 : Numérotation Proposition Incorrecte après duplication


***** ChangeLog for 2.8 compared to 2.7.* *****
For users:
- New: Support note on trips module
- New: Can link contacts to projects
- New: Can removed attached file on email form if attachment was wrong.
- New: Add option to show your logo on top of left menu.
- New: task #9935: Can edit accountancy code.
- New: Add an option to make users email required.
- New: Module notification can send email on order or proposal validation.
- New: Can use any command line antivirus on file upload.
- New: A customer can also be a prospect.
- New: task #9802 : Can link an action to a project and use project to 
       filter agenda.
- New: Project can be set on contract creation.
- New: Initial sold can be conciliated on bank module.
- New: Add a default errors-to email for emailing module.
- New: Can filter on user on stock movement list.
- New: When creating a third party from a member, it is set as a new
       customer.
- New: Can use {tttt} in numbering mask setup. It will be replaced
       with third party type.
- New: VAT number is stored in one field. This is more "international".
- New: task #9782 : Add possibility to delete a warehouse.
- New: task #9640 : Add label for stock movements.
- New: task #9916 : Add FREE text for interventions card.
- New: Can define the new product ref when cloning.
- New: Project module support status of project and end date.
- New: Provide a ubuntu package.
- New: Add link to check a SIREN for french users.
- New: Add link "now" to fill date when creating invoices.
- Fix: Import module works even if prefix is empty in source file.
- Fix: bug #28055 : Unable to modify the date of a cloned command.
- Fix: bug #27891.
- Fix: Change of numbering module was not effective.
- Fix: Change error management when adding already used supplier ref
       for a product.
- Fix: Running sending-email.php
- Fix: Warning should not appears for invoice closed
- Fix: Import for companies works even with prefix empty.
- Fix: bug #28895 : Création d'utilisateur impossible.
- Fix: Can change password if has only permission change password.

For developers:
- Qual: Reorganize /dev directory.
- Qual: Change the way items are linked together.
- Qual: The login page now use a template in /core/template/login.tpl.php.
- New: Modules can add their own tab on projects cards.
- New: Add management of triger FICHEINTER_VALIDATE


***** ChangeLog for 2.7.1 compared to 2.7 *****
For users:
- Fix: Bad decimal management for it_IT and fr_BE languages.
- Fix: A third party created from a member is created as a 
       customer.
- Fix: Change of numbering module was not effective.
- Fix: Report of balance missing supplier invoices.
- Fix: Running sendmaing-email.php script.
- Fix: Detection of country for IBAN management.
- Fix: Update member photo.


***** ChangeLog for 2.7 compared to 2.6.* *****
For users:
- New: Add a print icon to show a page to print without menus.
- New: Can add a free text on bank cheque receipts.
- New: Price level can be defined also for prospects.
- New: Add a help and support center.
- New: Can export commercial proposals.
- New: Can use a cache for xcal exports.
- New: Option for faster confirmation process with one ajax popup.
- New: Complete theme bluelagoon and rodolphe
- New: Can select third parties emails in emailing module for all
       third parties with expired contract's lines.
- New: Can add a field errors-to in emailing.
- New: Can use inline images in emails.
- New: Add predefined invoices (can be use for repeated invoices).
- New: Add a confirmation when cloning products.
- New: Add stock in product lists.
- New: Can filter list of stock movement on date or product.
- New: Added a link from product list to their stock movements.
- New: Several speed enhancements after using the Google Page speed 
  plugin for FireBug.
- New: Add a confirmation on dangerous admin purge feature.
- New: Add navigation on donation sheets.
- New: Added estimated value for stocks.
- New: Added module Gravatar to found photo of users or members
       from their email on gravatar.com.
- New: Include Dolibarr version in suggested dump filename.
- New: Enhancement in project module.
- New: Add log tab on emailing module.
- New: Minor enhancements in look themes.
- New: Add option to hide help in menu.
- New: Added a "force LDAP synchronize" on member and contact cards.
- New: Can split a discount into two smaller discount. This allows to use a
       discount on an invoice even if invoice amount is lower than discount
       credit available.
- New: Can use variables into the free text on PDF (__TOTAL_TTC_, __TOTAL_VAT...)
- New: Increase page loading speed (all changes reported by Google PageSpeed
       tool has been added).
- New: Add support of constant MAIN_ONLY_LOGIN_ALLOWED to allow to lock all
       access to any users except the one defined in constant.
- New: Add an admin page of PHP sessions with a way to lock new connections
       for other users than yourself. Can also purge existing sessions.
- New: Add point of sale module.
- New: Better usage when using with smartphones.
- New: Add module FTP client.
- New: Can set first day of week.
- New: Installer now create a .htaccess to protect documents directory.
- New: Experimental support for Postgresql.
- New: Full support of SMTPS (can works with Google SMTP).
- Fix: "Now" link works when date popup is not used.
- Fix: Debug seriously the email notification module.
- Fix: Error Call to a member function trans when refusing a supplier order.
- Fix: Fix payment conditions on commercial proposals.
- Fix: Nb of orders to process was wrong.
- Fix: Customer code was not correct on PDF it if contains special 
       characters.
- Fix: Can update price even with "NPR" VAT rates.
- Fix: When product type is missing, description is not lost when adding 
       new product lines.
- Fix: CC and BCC in emails was not used if using SMTPS handler.
- Fix: Last character was lost when text end with n or r.
- Fix: LDAP synchronization is now more robust (transaction and 
  use modify instead of delete/add).
- Fix: Fix: Setup of member synchronization does not conflict 
  with contact or user synchronization.

For translators:
- Update some language files.
- Can accept right to left languages. Added an "automatic" arabe translation.

For developers:
- An external module can force the third party code to be required whatever
  is the rule of third party code module.
- Update fckeditor to 2.6.4.
- Update Smarty to 2.6.26.
- Removed some deprecated code and files.
- Creation of directory in module descriptor is simpler.
- Can use an alternate document_root directory to develop with 
  sources on two repositories.
- Removed useless code of old commercial module.
- Move some modules into the CVS modules repository dolibarrmod. This reduces
  amount of code in main branch.
- Updated wiki documentation.
- Better W3C standard.
- Can add init data when enabling a module.
- Can fix some corruptions in database by calling the update page 
  /install/repair.ksh
- Log files contains more information (PHP_SELD added and OS user used for 
  log of command lines scripts) 
- Can protect a module to not being enabled if javascript disabled.
- If module numberwords is installed, code can use langs->getLabelFromNumber 
  to get value of an amount in text.
- A module can add subsitution keys in makesubsitutions() functions.
- Add $conf->browser->phone defined to optimise code for smartphone browsers.
- All external libs are now in same directory /includes.
- All install files are now in same directory /install.


***** ChangeLog for 2.6 compared to 2.5.* *****
For users:
- New: Add filter on status in emailing selector for Dolibarr users.
- New: Can add bookmarks on all pages.
- New: Enhance bank transactions reporting.
- New: When creating a contact from a third party, informations from third
  party card are automatically suggested.
- New: Sort list of languages in combo box.
- New: EMails links are show with function dol_print_email
- New: Add graph report on number of entities in product statistics page.
- New: Can delete a supplier order whatever is its status.
- New: No limit on free text on PDF generated documents.
- New: Can force login value when creating a user from a member.
- New: Can clone commercial proposals and orders.
- New: Major enhancement of project module.
- New: Added product label in invoice exports fields.
- New: Add VAT number in export fields.
- New: Upgrade FPDF to 1.6
- New: Upgrade Scriptaculous to 1.8.2 and Prototype to 1.6.0.3
- New: Added keywords in PDF.
- New: Add hidden option MAIN_DISABLE_PDF_COMPRESSION.
- New: Add attachments on intervention cards.
- New: Can add personalized fields in emailing selectors.
- New: Customer code and supplier code can be defined automatically.
- New: Emailing feature can extract civility from contacts.
- New: Can create a third party from a member of foundation module.
- New: Can set a limit for stock alert to 0.
- New: Support SMTPS.
- New: Added a page /support to provide a help center service on Dolibarr.
- New: Distinct status "running not expired" from "running expired" in lines 
  contract status.
- New: Add a first version of a module for Paybox.
- New: Can add contact to suppliers orders.
- New: Changes to support the external Bit Torrent module.
- New: Can filter on social contribution type in list.
- New: Upload of joined files need create/modify permissions to work.
- New: For admin users, show the SQL request in export build.
- New: Can modify proposal date if status is draft.
- New: The help link on some pages now links directly to the wiki web page.
- New: Enhancements in barcode module.
- New: Can use decimal values in stocks.
- Fix: Partial payment on social contributions not shown on main page.
- Fix: Handle correctly the comment in status changing of supplier orders.
- Fix: Author, title and topic are correctly encoded in PDF.
- Fix: Now HTML output is always UTF8, this solve bad PDF encoding on old
  users.
- Fix: Save new model when changed on interventions.
- Fix: Failed to go on the future view of bank transaction if there is no 
  future bank transaction already wrote.  
- Fix: Bad ref in supplier list.
- Fix: Bad link in product statistics for supplier referrers.
- Fix: Usage of reset of cursor in personalized numbering modules for a particular
  month (@ option) was broken.
- Can add contacts to a supplier invoice.
- Fix: When an invoice is changed back to status draft, warehouse is increased 
  back.
- Fix: Category of a bank transaction was not saved.
- Fix: Clicktodial plugin works correctly now
- Fix: Multiprices features works correctly.
- Fix: Project module and task creation.
- Fix: Validation of order if a file was attached.
- Fix: A lot of fixes in PDF generators.
- Fix: Bad line/page break with long description of products on PDF.
- Fix: Option force invoice date to validation date working correctly.
- Fix: Creation of a member from the example public page works.

For translators:
- Added 10 more new language files.
- Added autotranslator tool. A tool to build/update automatically
  languages files using Google API for a new language. Wonderful to start a
  new translation.
  
For developers:
- Removed some deprecated files.
- Removed treemenu library.
- Renamed all function dolibarr_xxx into dol_xxx to have same prefix everywhere.
- Rewrite clone feature for supplier invoice to work like other clone features.
- First change to manage a future feature "stock PMP value".
- A module can add a new tab in third party view tabs.
- First change for future geoip module.


***** ChangeLog for 2.5 compared to 2.4.* *****
For users:
- Sessions timeout can be configured to overwrite PHP setup.
- Can filter on date in services list.
- Support bookmark add of product cards.
- Enhancement in stock management (Automatic increase/decrease
  from order or invoice is possible).
- New filter options in prospect lists (category and level).
- New view in ECM module.
- Look enhancements for graphics (add transparency).
- Added statistics report for supplier invoices.
- Added average amount in invoices statistics reports.
- Can move a contract line to another contract of same third party.
- Add an export definition to export interventions.
- Can set umask file permissions on Unix/Linux/BSD systems.
- Miscelanous bug fixes.
- A lot of other enhancements to increase productivity.
- All phone numbers show the clicktodial link if module is enabled.
- Can define hour and minutes in intervention cards.
- Can edit a validated intervention.
- Add filters on intervention list.
- Add juridical status and number of employees in third party 
  export definition.
- A lot of enhancements and translation in withdraw module.
- Full support of Mysql option mode=strict.
- Added a new event from member module to agenda tracked events.
- Can attach a file to suppliers orders.
- Change to make Bank Account Number form more "internationnal".
- Can clone an invoice.
- Can clone an emailing.
- Reduce memory usage (about 2%).
- Add weight and size in sendings module.
- Add a fast search form on left menu for member module.
- Fix: Do not show export filter for disabled modules
- Show greyed lines for not allowed export filters.
- Add nature in product fields (manufactured product or not).
- Add export filters for category module and trip and expenses module.
- Can choose login of dolibarr account created when create from contact

For translators:
- The errors language file contains only error or warning messages with 
  prefix Error or Warning.
- HTML Output is by default in UTF8 and language files can be provided
  in UTF8.

For developers:
- Update skeletons (some fixes and add function createFromClone).
- Add an experimental Cash Desk module.
- Added new triggers events in agenda module.
- All submodules are moved in the includes directory.
- Removed some deprecated files.
- Menu managers now use same class name for their menu entry
  and add a different value in an HTML id for each entry. This allows
  to build skins that use different style for each menu entry.
- All emails and url HTML output use same function.
- Add more integrity check on database
- Can disable modules on logon page. This make possible to
  have several profiles of demo with only one demo. Also added a new
  Dolibarr demo front page (in htdocs/public/demo).
- Allow modules to add new tabs.

   

***** ChangeLog for 2.4 compared to 2.2.* *****
For users:
- Add a calendar module (module agenda) with ical/vcal/rss export.
- Look enhancement in graphics (thanks artichow).
- Add tel and fax on delivery addresses.
- Add a tool to edit personalized menu.
- Add an ical and vcal export link in agenda and webcalendar module.
- Reduce memory usage.
- Now triggers are enabled/disabled according to module they refers to.
- Fix infinite loop on popup calendar.
- Change in tanslation to make Dolibarr easier to understand.
- Add a warning when sending a mail from a user with no email defined.
- Added clicktodial module.
- Add a property private/public in contact. This allows to user Dolibarr
  for a personnal address book.
- French NAF code can accept 5 chars.
- Supplier prices can be input with or without taxe.
- New generic numbering modules to offer more solutions for generating
  automatic id.
- Add new predefined exports wizards (stocks, suppliers, taxes...).
- Add feature to log security events (logon, change of users, passwords).
- Can link all documents (included supplier invoices and orders) to a 
  project.
- Can attach several files to email when sending an invoice, order or
  proposal by email.
- Can choose accuracy (number of decimals) for prices.
- Localization for decimal and thousand delimiter on number is fully
  supported.
- More informations reported in system information pages.
- Add a budget report.
- Added a security audit report.
- Other minor changes (features, look, fixes)
- Added compatibility with Firefox 3.
- Changes for compatibility with PHP6/Mysql6.
- Some bug fixes.

For translators:
- Added spanish es_ES translation.
- Added en_AU translation.

For developers:
- Removed useless code:
  Replaced phplot and phplot5 librairies by artichow.
  Removed cryptograph library replaced by artichow.
- Login functions are now externalised as modules.
- Update code skeletons examples.
- Several enhancements to make addon development easier.
- Add a tool to generate PHP classes completely mapped to a table.
- Added a check to enable external modules only if dolibarr version is
  high enough.
- Changes in wizard installer to allow building autoexe installer for
  Windows with Apache and Mysql included.


***** ChangeLog for 2.2 compared to 2.1.* *****
- Add more statistics on main page.
- Add option to add message on login page.
- Management of categories for third parties.
- Add volume on products properties.
- Support for LDAP authentication.
- Full member synchronisation with LDAP database in
  fundation module.
- More LDAP fields supported for user synchronization.
- Better logger for install.
- First changes to support UTF8.
- Add a "forget password" feature.
- Setup process can run several migrate files if need
  to jump several versions to upgrade.
- Support for webcalendar 1.1 in webcalendar module.
- Support for menu in database.
- Better support for using Dolibarr on more WHP.
- Removed some deprecated files and clean code.
- New theme: Auguria
- Removed PHP warnings.
- Some bugs fixes.
- Traduction more complete.
- Better code comments for Doxygen documentation.
- Better support of vcard export format.
- A lot of security enhancements (no more password in log files,
  crypted password in database, in config file...).
- Themes are full CSS compliant.
- A lot of other minor changes...
- Option to scan uploaded document by an antivirus.
- Transparency for picto files works with IE.
- Can drag and drop boxes on main page.


***** ChangeLog for 2.1 compared to 2.0.* *****
- Added a better installer.
- Support user and groups permissions.
- Translation in english and support for several languages.
- New enhanced look and several new themes.
- Small search boxes for each Dolibarr elements (invoices, contracts,
  orders, proposals...)
- Added an export assistant module to export main dolibarr data.
- Added backup tool to backup database via mysqldump.
- Added product categories management with a categorie tree.
- Management of companies' discounts (relative or absolute).
- Support credit note and discounts (relative and absolute) on
  commercial proposal, orders and invoices.
- Support multi-langual description for products.
- Graphical enhancements (picto to describe all status).
- Added more permissions (ie: can restrict access for a commercial user
  to elements of its companies only).
- Little enhancements to OSCommerce module.
- Added a second OSCommerce module working through web services.
- Added a Mantis module to have a Mantis application in Dolibarr menu.
- Building a PDF document for invoices works like other modules. You
  can change model just before generating the PDF.
- Can generate documents (PDF) for customer orders. Can send them by mail.
- Added FPDI and FPDI_Protection (ie: PDF with password-protection)
- Can make one payment for several supplier invoices.
- Rule to suggests passwords when creating a user are in modules
  allowing to add easily other rules.
- Option to encrypt passwords in database (MD5).
- Add Dolibarr triggers support on users creation/change.
- Add Dolibarr triggers support on payments.
- Add Dolibarr triggers on supplier and customers orders.
- Webcalendar triggers for actions on Member module.
- Support optionnal new javascript popup selector for date fields.
- Support for several RSS boxes in external RSS module. Setup easier.
- Can attach documents on Action, Orders, Invoices, Commercial proposals.
- Can attach contacts on proposals, orders, contracts, invoices.
- Preview on results of PDF generator modules in setup pages.
- Code cleaner. Remove unused or duplicate code.
- Save and show last connexion date for users.
- Enhancements on a lot of forms for better ergonomy.
- Can add/remove company logo.
- Added LDAP synchronisation for users, groups and/or contacts.
- Can configure your own SMTP server/port for mail sendings.
- Works even on "UTF8 by default" systems (Mysql, Linux...)
- Better compatibility with different PHP version or setup.
- Added mysqli driver.
- Add a WISIWYG editor (FCKEditor) to edit note and comment areas.
- Added AJAX features like a 'search product selector'.
- Modules boxes on main page can be dragged and dropped (with firefox only).
- Support for PHP5.
- Experimental support for Postgresql (not working yet, but waiting feedbacks).
- Removed obsolete files and documentation.
- Added admin tools (backup and files purge).
- Added a tool to build a lang package.
- Added a tool to build a module package.
- Added a tool to build a theme package.
- Traduction more complete.
- Added skeletons for code examples.
- Lot of fixes after 2.0 release not fixed in 2.0.1.
- Added more security option (ie: encrypted password in database)




***** ChangeLog for 2.0.1 compared to 2.0 *****
Minor bug fixes



***** ChangeLog for 2.0 compared to 1.0.* *****
ChangeLog file size is so important, that it is not included inside Dolibarr
package. You can find it at www.dolibarr.org
